Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160739 - oowriter save-as dialog does not allow format change
Summary: oowriter save-as dialog does not allow format change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 23:51 UTC by Gregory Zornetzer
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.112
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-29 08:56:47 UTC


Attachments (Terms of Use)

Description Gregory Zornetzer 2005-06-16 23:51:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The save-as dialog box appears to be the same as the save dialog box.  It does not have an option to allow you to change the format that you will save to, as described in the online help.  Note that the program is capable of saving to (for example) MS Word 97/2000/XP format if you originally opened an MS Word Document, it's just that the dialog box isn't allowing the feature to be used.  


Version-Release number of selected component (if applicable):
openoffice.org-writer-1.9.104-2

How reproducible:
Always

Steps to Reproduce:
1. start oowriter from the gui launcher
2. Go to the File menu, and select save as.
  

Actual Results:  The dialog box shown will be named "Save" with the following gui widgets:
name (text field)
Save in folder (text box)
Browse for other folders (directory chooser)
Edit filter settings (greyed out check-box)
Save with Password (checkbox)
Automatic file name extension (checkbox)


I would expect to see a file-type selector box that allows me to choose MS Word Formats, among others.


Expected Results:  In addition to the items described above, I would expect to see a file-type selector box that allows me to choose MS Word Formats, among others.


Additional info:

I have added the program Bibus which requires openoffice.org-pyuno, and modifies the openoffice.org registry to open up a communications socket.  I have a hard time believing that this is the source of the problem, though

Comment 1 Caolan McNamara 2005-06-17 08:18:25 UTC
This ability is munged into Browse for other folders in <= 1.0.104, in next
update >= 1.9.108 it will also be available in a seperate widget to cause less
confusion.


Note You need to log in before you can comment on or make changes to this bug.